/**
 *
 */
/**
 *
 */
class GlobalMouse {

    private static var _static_global_mouse_down_listener_install_flag:Boolean = false ;
    private static var _static_mouse_down_flag:Boolean = false ;

    // Tests if the mouse is currently over MovieClip "target".
    public static function static_is_mouse_over(target:MovieClip):Boolean {

        return target.hitTest(_root._xmouse, _root._ymouse, true) ;

    }  // end public function static_is_mouse_over

    // Installs a global listener to record when the mouse is down.
    // Unfortunately, there is no global method available from Adobe.
    // Safe to call many times.  Listener is only installed once.
    public static function static_install_global_mouse_down_listener() {

        if (_static_global_mouse_down_listener_install_flag) {
            
            return ;

        }  // end if (_static_global_mouse_down_listener_install_flag)

        _static_global_mouse_down_listener_install_flag = true ;

        var mouse_down_listener:Object = new Object() ;
        mouse_down_listener.onMouseDown = function() {
           
            GlobalMouse._static_mouse_down_flag = true ;
           
        } ;

        mouse_down_listener.onMouseUp = function() {
           
            GlobalMouse._static_mouse_down_flag = false ;
           
        } ;

        Mouse.addListener(mouse_down_listener) ;

    }  // end public static function install_global_mouse_down_listener

    // If the global listener has been installed, this static function is
    // used to test if the mouse is down.
    public static function static_is_mouse_down():Boolean {
       
        return _static_mouse_down_flag ;
       
    }  // end public static function static_is_mouse_down

}  // end class oas2.GlobalMouse 